Bug 1538457 (CVE-2017-17969) - CVE-2017-17969 p7zip: heap-based buffer overflow in 7zip/Compress/ShrinkDecoder.cpp can allow an attacker to write arbitrary data and cause a crash
Summary: CVE-2017-17969 p7zip: heap-based buffer overflow in 7zip/Compress/ShrinkDecod...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-17969
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1538458 1538459 1538471
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-25 06:53 UTC by Sam Fowler
Modified: 2019-09-29 14:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-03 09:33:32 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-01-25 06:53:33 UTC
A heap-based buffer overflow in 7-Zip's shrink decoder can allow an attacker to write arbitrary data to memory and cause a crash.

Versions of p7zip up to and including 16.02 are vulnerable. A fix for this vulnerability is available in the beta version of 7-zip 18.00 (for Windows).

External References:
https://landave.io/2018/01/7-zip-multiple-memory-corruptions-via-rar-and-zip
http://www.7-zip.org/history.txt

Comment 1 Sam Fowler 2018-01-25 06:53:59 UTC
Created p7zip tracking bugs for this issue:

Affects: epel-all [bug 1538458]
Affects: fedora-all [bug 1538459]


Note You need to log in before you can comment on or make changes to this bug.